# Uses of Record Class
org.apache.lucene.replicator.nrt.FileMetaData

- ## Uses of FileMetaData in org.apache.lucene.replicator.nrt

  Fields in org.apache.lucene.replicator.nrt declared as FileMetaData
  Modifier and Type
  Field
  Description
  `final FileMetaData`
  CopyOneFile.`metaData`
  Fields in org.apache.lucene.replicator.nrt with type parameters of type FileMetaData
  Modifier and Type
  Field
  Description
  `protected final Map<String,FileMetaData>`
  CopyJob.`files`
  `protected Map<String,FileMetaData>`
  Node.`lastFileMetaData`
  File metadata for last sync that succeeded; we use this as a cache
  `protected final List<Map.Entry<String,FileMetaData>>`
  CopyJob.`toCopy`
  Methods in org.apache.lucene.replicator.nrt that return FileMetaData
  Modifier and Type
  Method
  Description
  `FileMetaData`
  Node.`readLocalFileMetaData(String fileName)`
  Opens the specified file, reads its identifying information, including file length, full index header (includes the unique segment ID) and the full footer (includes checksum), and returns the resulting `FileMetaData`.
  Methods in org.apache.lucene.replicator.nrt that return types with arguments of type FileMetaData
  Modifier and Type
  Method
  Description
  `Map<String,FileMetaData>`
  CopyState.`files()`
  Returns the value of the `files` record component.
  `List<Map.Entry<String,FileMetaData>>`
  ReplicaNode.`getFilesToCopy(Map<String,FileMetaData> files)`
  Compares incoming per-file identity (id, checksum, header, footer) versus what we have locally and returns the subset of the incoming files that need copying
  Method parameters in org.apache.lucene.replicator.nrt with type arguments of type FileMetaData
  Modifier and Type
  Method
  Description
  `List<Map.Entry<String,FileMetaData>>`
  ReplicaNode.`getFilesToCopy(Map<String,FileMetaData> files)`
  Compares incoming per-file identity (id, checksum, header, footer) versus what we have locally and returns the subset of the incoming files that need copying
  `protected CopyJob`
  ReplicaNode.`launchPreCopyMerge(AtomicBoolean finished, long newPrimaryGen, Map<String,FileMetaData> files)`
  `protected abstract CopyJob`
  ReplicaNode.`newCopyJob(String reason, Map<String,FileMetaData> files, Map<String,FileMetaData> prevFiles, boolean highPriority, CopyJob.OnceDone onceDone)`
  Start a background copying job, to copy the specified files from the current primary node.
  `protected abstract void`
  PrimaryNode.`preCopyMergedSegmentFiles(SegmentCommitInfo info, Map<String,FileMetaData> files)`
  Called when a merge has finished, but before IW switches to the merged segment
  Constructors in org.apache.lucene.replicator.nrt with parameters of type FileMetaData
  Modifier
  Constructor
  Description
  ``
  `CopyOneFile(DataInput in, ReplicaNode dest, String name, FileMetaData metaData, byte[] buffer)`
  Constructor parameters in org.apache.lucene.replicator.nrt with type arguments of type FileMetaData
  Modifier
  Constructor
  Description
  `protected`
  `CopyJob(String reason, Map<String,FileMetaData> files, ReplicaNode dest, boolean highPriority, CopyJob.OnceDone onceDone)`
  ``
  `CopyState(Map<String,FileMetaData> files, long version, long gen, byte[] infosBytes, Set<String> completedMergeFiles, long primaryGen, SegmentInfos infos)`
  Creates an instance of a `CopyState` record class.